summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-02-11 08:53:16 +0100
committerJustin Lecher <jlec@gentoo.org>2016-02-11 08:54:06 +0100
commitb59f76f56f9194cb5ca950f54cb7e2d36d0302e6 (patch)
tree168ed8568c8ef2b572f4c2c65c806e6ac476c22a
parentsci-chemistry/molden: Fix SRC_URI to new location (diff)
downloadgentoo-b59f76f56f9194cb5ca950f54cb7e2d36d0302e6.tar.gz
gentoo-b59f76f56f9194cb5ca950f54cb7e2d36d0302e6.tar.bz2
gentoo-b59f76f56f9194cb5ca950f54cb7e2d36d0302e6.zip
sci-chemistry/molden: Version Bump
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=509854 Package-Manager: portage-2.2.27 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--sci-chemistry/molden/Manifest1
-rw-r--r--sci-chemistry/molden/molden-5.5.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/sci-chemistry/molden/Manifest b/sci-chemistry/molden/Manifest
index e7820779032..a9128e66063 100644
--- a/sci-chemistry/molden/Manifest
+++ b/sci-chemistry/molden/Manifest
@@ -1,2 +1,3 @@
DIST molden4.8.tar.gz 2969701 SHA256 314d9b9bdede2fd63d1e2f26e0212711576952244634fc28ea6c97ce2f7029b1 SHA512 11f2406e54a077d044369b5eee4a8a1c1b10f052188d33d4162af0151a1e76a1d5274d8788bbc3610905ff271b0bd2100990b77540a0290ad608bd5c29b839e3 WHIRLPOOL 838d66a4e17651dfd2bab893fa9b36ca8d722c879b9f10adb00c3c4e59974ae73e13060e6a559286c651ab35e1cea084049677277cc4b455e68a95c6c210dcf9
DIST molden5.0.tar.gz 3063244 SHA256 c9cf8f656adf2f2c7a8b8b64fa07b5feaa9c3ca36c4803e1f58ac33de1cffdc4 SHA512 bf45849bf4efb67bc552767c28a6df6e5106a7d8ac2d73db2c7218412fb6cd2f2785c2be83a8589a5664ba9c0ca052cef5eb155c665ee1f3d6c7fe208f806a6b WHIRLPOOL ab7f1118b000a8df36cbaf23fddabb21bd291a2388e3aa5599e609ffa792bec01bf7df52a98f7e70125b504f7866e48ec6d5ce029ecd0e40c7bab7b8627c5c86
+DIST molden5.5.tar.gz 4934764 SHA256 6514a317486fb4087d94afc929a646c4f30cab7ff79651deeecb30f03212c059 SHA512 45269d2c7a52b3b2bf4fdb5f4ca3912637b3414ff9dfcd0d4f23815b3dcf7a53ffee717420d4fbf286b71c972539e756a440f5e37b7b7325ab312c25fc6c47b0 WHIRLPOOL 952382f26e227236e98deec5350e2617c68003098a8954ee6eebb10c89039ae0abf60aa117f73e02662153838f26bc724f7b16e6facc0cf07d86ba38fa0c03aa
diff --git a/sci-chemistry/molden/molden-5.5.ebuild b/sci-chemistry/molden/molden-5.5.ebuild
new file mode 100644
index 00000000000..401aebb7510
--- /dev/null
+++ b/sci-chemistry/molden/molden-5.5.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils fortran-2 flag-o-matic toolchain-funcs
+
+MY_P="${PN}${PV}"
+
+DESCRIPTION="Display molecular density from GAMESS-UK, GAMESS-US, GAUSSIAN and Mopac/Ampac"
+HOMEPAGE="http://www.cmbi.ru.nl/molden/"
+SRC_URI="ftp://ftp.cmbi.ru.nl/pub/molgraph/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MOLDEN"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="opengl"
+
+RDEPEND="
+ x11-libs/libXmu
+ virtual/glu
+ opengl? (
+ media-libs/freeglut
+ virtual/opengl )"
+DEPEND="${RDEPEND}
+ x11-misc/gccmakedep
+ app-editors/vim"
+ # vim provides ex, which the build system uses (surf/Makefile, at least)
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.0-ambfor.patch
+ "${FILESDIR}"/${PN}-5.0-overflow.patch
+ "${FILESDIR}"/${PN}-4.8-ldflags.patch
+ "${FILESDIR}"/${PN}-4.7-implicit-dec.patch
+)
+
+src_prepare() {
+ default
+ sed \
+ -e 's:makedepend:gccmakedep:g' \
+ -i surf/Makefile || die
+ sed 's:shell g77:shell $(FC):g' -i makefile || die
+}
+
+src_compile() {
+ local args=()
+
+ # Use -mieee on alpha, according to the Makefile
+ use alpha && append-flags -mieee
+
+ args=(
+ CC="$(tc-getCC) ${CFLAGS}"
+ FC="$(tc-getFC)"
+ LDR="$(tc-getFC)"
+ FFLAGS="${FFLAGS}"
+ )
+
+ einfo "Building Molden..."
+ emake -j1 "${args[@]}"
+ if use opengl ; then
+ einfo "Building Molden OpenGL helper..."
+ emake -j1 "${args[@]}" moldenogl
+ fi
+}
+
+src_install() {
+ dobin ${PN} g${PN} $(usex opengl ${PN}ogl "")
+
+ dodoc HISTORY README REGISTER
+ cd doc || die
+ uncompress * && dodoc *
+}